Page MenuHomePhabricator

AVX512: VPMOVAPS (load) intrinsic implementation.
ClosedPublic

Authored by igorb on Jan 10 2016, 11:48 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

igorb updated this revision to Diff 44431.Jan 10 2016, 11:48 PM
igorb retitled this revision from to AVX512: VPMOVAPS (load) intrinsic implementation..
igorb updated this object.
igorb added reviewers: delena, AsafBadouh.
igorb set the repository for this revision to rL LLVM.
igorb added a subscriber: llvm-commits.
AsafBadouh edited edge metadata.Jan 11 2016, 1:12 AM

LGTM

lib/Target/X86/X86ISelLowering.cpp
17575

I think it's already defined in line 17378, just before:
switch(IntrData->type)

igorb updated this revision to Diff 44462.Jan 11 2016, 3:55 AM
igorb edited edge metadata.
igorb marked an inline comment as done.
AsafBadouh accepted this revision.Jan 11 2016, 4:04 AM
AsafBadouh edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jan 11 2016, 4:04 AM
igorb updated this revision to Diff 44488.Jan 11 2016, 6:46 AM
igorb edited edge metadata.

create MemIntrinsicSDNode in order to preserve MachinePointerInfo.
I will change already implemented intrinsic ( that are maped to EXPEND_FROM_MEM, TRUNCATE_TO_MEM ..etc) in next patch.

igorb added a subscriber: spatel.
delena accepted this revision.Jan 12 2016, 1:28 AM
delena edited edge metadata.

Some minor comments inside.
LGTM.

lib/Target/X86/X86ISelLowering.cpp
17580

Please add assertion for dyn_cast<MemIntrinsicSDNode>

lib/Target/X86/X86ISelLowering.h
842 ↗(On Diff #44488)

stores

This revision was automatically updated to reflect the committed changes.